Package twisted :: Package protocols :: Module pcp :: Class BasicProducerConsumerProxy

[show private | hide private]
[frames | no frames]

## Class BasicProducerConsumerProxy

Known Subclasses:
  `ProducerConsumerProxy`

I can act as a man in the middle between any Producer and Consumer.

Method Summary
| `__init__(self, consumer)`
| `__repr__(self)`
| `finish(self)`
| `pauseProducing(self)`
| `registerProducer(self, producer, streaming)`
| `resumeProducing(self)`
| `stopProducing(self)`
| `unregisterProducer(self)`
| `write(self, data)`

Instance Variable Summary
| `consumer` - the Consumer I publish to.
| `paused` - As a Producer, am I paused?
| `producer` - the Producer I subscribe to.

Class Variable Summary
`tuple` | `__implements__`
`IConsumer<interfaces.IConsumer>` | `consumer`
`int` | `iAmStreaming`
`int` | `outstandingPull`
bool | `paused`
`IProducer<interfaces.IProducer>` | `producer`
`NoneType` | `producerIsStreaming`
`int` | `stopped`

Instance Variable Details

### consumer

the Consumer I publish to.

### paused

As a Producer, am I paused?

### producer

the Producer I subscribe to.

Class Variable Details

### __implements__

  Type:
    `tuple`
  Value:

        (<class 'twisted.internet.interfaces.IProducer'>,
         <class 'twisted.internet.interfaces.IConsumer'>)

### consumer

  Type:
    `IConsumer<interfaces.IConsumer>`
  Value:

        None

### iAmStreaming

  Type:
    `int`
  Value:

        1

### outstandingPull

  Type:
    `int`
  Value:

        0

### paused

  Type:
    bool
  Value:

        0

### producer

  Type:
    `IProducer<interfaces.IProducer>`
  Value:

        None

### producerIsStreaming

  Type:
    `NoneType`
  Value:

        None

### stopped

  Type:
    `int`
  Value:

        0

Generated by Epydoc 1.1 on Thu May 8 13:18:53 2003 | http://epydoc.sf.net